{
  config,
  pkgs,
  lib,
  ...
}:
{
  imports = [
    ./plugins.nix
    ./keymaps.nix
    ./coding.nix
  ];
  programs.nixvim = {
    enable = true;
    extraPackages = with pkgs; [
      nixd
      nixpkgs-fmt
      stylua
      black
      clang
    ];
    globals.mapleader = " ";
    defaultEditor = true;
    wrapRc = true;
    opts = {
      number = true;
      relativenumber = true;
      shiftwidth = 4;
      termguicolors = true;
      cursorline = true;
      laststatus = 0;
    };
  };
}
